# $Revision: 1.12 $, $Date: 2012/01/16 18:10:38 $
# TODO
# - active bugs: http://rt.cpan.org/Public/Dist/Display.html?Status=Active&Name=MySQL-Diff
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires mysql server and access to test_* tables)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MySQL
%define		pnam	Diff
Summary:	MySQL::Diff Perl module - comparing the table structure of two MySQL databases
Summary(pl.UTF-8):	Moduł Perla MySQL::Diff - porównywanie struktury tabel dwóch baz danych MySQL
Name:		perl-MySQL-Diff
Version:	0.43
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5ca29ef5e07338fb5fa673fd298a000f
URL:		http://adamspiers.org/computing/mysqldiff/
BuildRequires:	perl-Class-MakeMethods
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	mysql-client
%endif
Requires:	perl-Class-MakeMethods
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL::Diff is Perl module for comparing the table structure of two
MySQL databases.

%description -l pl.UTF-8
MySQL::Diff to moduł Perla służący do porównywania struktury tabel
dwóch baz danych MySQL.

%package -n mysqldiff
Summary:	Perl script which compares the table definitions of two MySQL databases
Summary(pl.UTF-8):	Skrypt Perla porównujący definicje tabel dwóch baz danych MySQL
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n mysqldiff
mysqldiff is a Perl script front-end to the CPAN module MySQL::Diff
which compares the data structures (i.e. table definitions) of two
MySQL databases, and returns the differences as a sequence of MySQL
commands suitable for piping into mysql which will transform the
structure of the first database to be identical to that of the second
(c.f. diff and patch). Database structures can be compared whether
they are files containing table definitions or existing databases,
local or remote.

%description -n mysqldiff -l pl.UTF-8
mysqldiff to skrypt Perla będący frontendem do modułu CPAN MySQL::Diff
porównującego struktury danych (np. definicje tabel) dwóch baz danych
MySQL i zwracający różnice jako sekwencje poleceń MySQL odpowiednie do
przekierowania do polecenia mysql, które przekształci strukturę
pierwszej bazy danych tak, aby była identyczna z drugą (podobnie jak
diff i patch). Struktury bazy danych mogą być porównywane jeśli są
plikami zawierającymi definicje tabel albo istniejącymi bazami -
lokalnymi lub zdalnymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/MySQL
%{perl_vendorlib}/MySQL/Diff.pm
%dir %{perl_vendorlib}/MySQL/Diff
%{perl_vendorlib}/MySQL/Diff/Database.pm
%{perl_vendorlib}/MySQL/Diff/Table.pm
%{perl_vendorlib}/MySQL/Diff/Utils.pm
%{_mandir}/man3/MySQL::Diff.3pm*
%{_mandir}/man3/MySQL::Diff::Database.3pm*
%{_mandir}/man3/MySQL::Diff::Table.3pm*
%{_mandir}/man3/MySQL::Diff::Utils.3pm*

%files -n mysqldiff
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mysqldiff
%{_mandir}/man1/mysqldiff.1p*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MySQL-Diff.spec,v $
Revision 1.12  2012/01/16 18:10:38  zbyniu
- up to 0.43

Revision 1.11  2008/07/27 22:53:10  arekm
- release 3

Revision 1.10  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.8  2006/11/09 15:06:43  glen
- add bugs url

Revision 1.7  2005/06/24 11:04:41  glen
- rel 2; STBR

Revision 1.6  2005/06/23 18:09:31  qboosh
- handle mysqldiff as subpackage; added pl for it

Revision 1.5  2005/06/21 19:21:43  glen
- create mysqldiff package (that's the original name of the project)

Revision 1.4  2004/11/27 17:30:16  qboosh
- pl, cosmetics

Revision 1.3  2004/11/26 16:59:54  glen
- added source-0 md5

Revision 1.2  2004/11/26 16:53:46  glen
- disable tests by default, as it requires setup mysql daemon
- rel 1

Revision 1.1  2004/11/26 16:52:00  glen
- initial
